import { useQuery } from '@tanstack/react-query';

import { eventsQueryKeys } from '../events-query-keys';
import { eventsApi, type PostGetEventsListReturn } from '../events-api';

import type { BaseAxiosError } from '../../../../types';

export const useGetEventsListQuery = (token: string, enabled: boolean) => {
  return useQuery<PostGetEventsListReturn, BaseAxiosError>({
    queryKey: eventsQueryKeys.getEventsList(token),
    queryFn: async () => {
      const response = await eventsApi.getEventsList(token);
      return response.data;
    },
    enabled
  });
};
